#include <bindings.cmacros.h>

#include <sane/sane.h>

BC_INLINE3(SANE_VERSION_CODE,int,int,int,int)

BC_INLINE1(SANE_FIX,double,SANE_Word)
BC_INLINE1(SANE_UNFIX,SANE_Word,double)

BC_INLINE1(SANE_VERSION_MAJOR,int,int)
BC_INLINE1(SANE_VERSION_MINOR,int,int)
BC_INLINE1(SANE_VERSION_BUILD,int,int)

BC_INLINE1(SANE_OPTION_IS_ACTIVE,int,int)
BC_INLINE1(SANE_OPTION_IS_SETTABLE,int,int)
